/********************************************************************
   Program :  Recursive Descent Compiler for PL/0
   Module  :  PL0SYMT - Symbol table management
   File    :  pl0symt.h
   Compiler:  Borland C 3.1 - 4.5, GNU C 2.7.1
   Author  :  H. Weber
   Revision:  Aug. 1998
********************************************************************/

/* constants for use in symbol table */
#define  constobj  1
#define  varobj    2
#define  procobj   3

void enter();
int  position();
int  objkind();
int  objaddr();
int  objlevel();
int  constsize();
void entersymt();
void printsymt();
